Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface SqlListenerDocument.SqlListener.PollFrequencySeconds

All Superinterfaces:
  org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlDecimal, org.apache.xmlbeans.XmlInteger, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  SqlListenerDocumentImpl.SqlListenerImpl.PollFrequencySecondsImpl

Enclosing interface:
  SqlListenerDocument.SqlListener

    public static interface SqlListenerDocument.SqlListener.PollFrequencySeconds

extends org.apache.xmlbeans.XmlInteger

An XML poll-frequency-seconds(@). This is an atomic type that is a restriction of org.jboss.soa.esb.listeners.config.xbeanmodel.SqlListenerDocument$SqlListener$PollFrequencySeconds.

Nested Class Summary
`static class` | `SqlListenerDocument.SqlListener.PollFrequencySeconds.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary

Methods inherited from interface org.apache.xmlbeans.XmlInteger
`bigIntegerValue, getBigIntegerValue, set, setBigIntegerValue`

Methods inherited from interface org.apache.xmlbeans.XmlDecimal
`bigDecimalValue, getBigDecimalValue, set, setBigDecimalValue`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD